@charset "UTF-8";

.c-news {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    padding: 45px 0;
    overflow: hidden;
}

.c-news::before,
.c-news::after {
    content: '';
    position: absolute;
    bottom: 0;
    display: block;
    width: 100%;
    height: 2px;
}

.c-news::before {
    left: 0;
    background: rgba(91, 93, 101, .1);
}

.c-news::after {
    left: calc(200px - 100%);
    background: #17c2ca;
    transform-origin: left center;
    transition: transform .4s ease-in-out;
}

.c-news:hover::after {
    transform: translateX(calc(100% - 200px));
}

/**最新消息日期**/
.c-news__date {
    display: block;
    width: 200px;
    font-size: 16px;
    line-height: 1;
    color: #b6bdcc;
    text-align: center;
    font-family: 'Poppins-EB';
    letter-spacing: 2.5px;
    flex: 0 0 200px;
}

/**最新消息標題**/
.c-news__title {
    display: block;
    width: 100%;
    padding: 0 50px;
    font-size: 21px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-B';
    flex: 0 1 100%
}

.c-news__title::before {
    content: '';
    position: absolute;
    top: calc(50% - 17.5px);
    right: 0;
    display: block;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: url(../../images/common/icon_arrow_next_white.svg) center no-repeat #15171b;
    background-size: auto 35%;
}

.c-news__title::after {
    content: 'NEW';
    position: relative;
    display: none;
    vertical-align: middle;
    font-size: 14px;
    line-height: 1;
    color: #fff;
    font-family: 'Poppins-EB';
    background: linear-gradient(to bottom, #24cbd3 0%, #0bbac2 100%);
    padding: 10px 20px;
    border-radius: 17.5px;
    overflow: hidden;
}

.c-news.latest .c-news__title::after {
    display: inline-block;
}

.c-news__title__main {
    padding: 0 30px 0 0;
}

@media screen and (max-width: 1200px) {

    /**最新消息日期**/
    .c-news__date {
        width: 150px;
        flex: 0 0 150px;
    }

    /**最新消息標題**/
    .c-news__title {
        padding: 0 50px 0 30px;
    }

    .c-news::after {
        left: calc(150px - 100%);
    }

    .c-news:hover::after {
        transform: translateX(calc(100% - 150px));
    }
}

@media screen and (max-width: 991px) {

    /**最新消息標題**/
    .c-news__title {
        padding: 0 50px 0 20px;
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    .c-news {
        display: block;
        padding: 30px 0;
    }

    .c-news::after {
        left: calc(80px - 100%);
    }

    .c-news:hover::after {
        transform: translateX(calc(100% - 80px));
    }

    /**最新消息日期**/
    .c-news__date {
        width: 100%;
        font-size: 13px;
        text-align: left;
        margin: 0 0 10px 0;
    }

    /**最新消息標題**/
    .c-news__title {
        font-size: 17px;
        padding: 0 50px 0 0;
    }

    .c-news__title::before {
        top: -10px;
        width: 25px;
        height: 25px;
    }

    .c-news__title::after {
        position: absolute;
        top: -30px;
        left: 100px;
        font-size: 12px;
        padding: 7.5px 10px;
        border-radius: 12.5px;
    }

    .c-news__title__main {
        padding: 0;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}